Bug 620503 - Multiple cobblerd_t denials on Fedora-13 running standard Spacewalk installation
Multiple cobblerd_t denials on Fedora-13 running standard Spacewalk installation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks: 621095
  Show dependency treegraph
 
Reported: 2010-08-02 13:43 EDT by Milan Zázrivec
Modified: 2011-06-01 08:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 621095 (view as bug list)
Environment:
Last Closed: 2011-06-01 08:41:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux denials (297.23 KB, text/plain)
2010-08-02 13:43 EDT, Milan Zázrivec
no flags Details

  None (edit)
Description Milan Zázrivec 2010-08-02 13:43:45 EDT
Created attachment 436078 [details]
SELinux denials

Description of problem:
* Spacewalk 1.1 installation @ Fedora 13
* Multiple SELinux denials

Version-Release number of selected component (if applicable):
selinux-policy-3.7.19-39.fc13.noarch
cobbler-2.0.3.1-4.fc13.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install Spacewalk 1.1 @ Fedora 13
2. # grep denied /var/log/audit/audit.log | grep cobblerd_t
  
Actual results:
Multiple denials (see attachment).

Expected results:
No denials

Additional info:
There's xml-rpc communication going on between cobbler & taskomatic
(a cron-like daemon, part of standard Spacewalk / RHN Satellite
installation), which is denied by current selinux-policy.

The cobbler code allowing Spacewalk authentication:
/usr/lib/python2.6/site-packages/cobbler/modules/authn_spacewalk.py

Seeing this functionality is part of standard cobbler and selinux-policy
contains rules for cobblerd_t, this should (I believe) be allowed in
standard Fedora selinux-policy.
Comment 1 Daniel Walsh 2010-08-03 13:34:10 EDT
You might need to turn on some booleans.

 getsebool -a | grep cobbler
Comment 2 Milan Zázrivec 2010-08-03 15:25:38 EDT
# getsebool -a | grep cobbler
cobbler_anon_write --> on
httpd_can_network_connect_cobbler --> on
# grep denied /var/log/audit/audit.log |grep cobbler
type=AVC msg=audit(1280895846.661:47): avc:  denied  { create } for  pid=1612 comm="cobblerd" scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:system_r:cobblerd_t:s0 tclass=netlink_route_socket
type=AVC msg=audit(1280895846.665:48): avc:  denied  { create } for  pid=1612 comm="cobblerd" scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:system_r:cobblerd_t:s0 tclass=udp_socket
type=AVC msg=audit(1280895846.665:49): avc:  denied  { create } for  pid=1612 comm="cobblerd" scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:system_r:cobblerd_t:s0 tclass=udp_socket
type=AVC msg=audit(1280895846.665:50): avc:  denied  { create } for  pid=1612 comm="cobblerd" scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:system_r:cobblerd_t:s0 tclass=netlink_route_socket
type=AVC msg=audit(1280895846.665:51): avc:  denied  { name_connect } for  pid=1612 comm="cobblerd" dest=443 scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:object_r:http_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1280895846.665:52): avc:  denied  { name_connect } for  pid=1612 comm="cobblerd" dest=443 scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:object_r:http_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1280895900.033:62): avc:  denied  { create } for  pid=1653 comm="cobblerd" scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:system_r:cobblerd_t:s0 tclass=netlink_route_socket
type=AVC msg=audit(1280895900.033:63): avc:  denied  { create } for  pid=1653 comm="cobblerd" scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:system_r:cobblerd_t:s0 tclass=udp_socket
type=AVC msg=audit(1280895900.033:64): avc:  denied  { create } for  pid=1653 comm="cobblerd" scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:system_r:cobblerd_t:s0 tclass=udp_socket
type=AVC msg=audit(1280895900.033:65): avc:  denied  { create } for  pid=1653 comm="cobblerd" scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:system_r:cobblerd_t:s0 tclass=netlink_route_socket
type=AVC msg=audit(1280895900.033:66): avc:  denied  { name_connect } for  pid=1653 comm="cobblerd" dest=443 scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:object_r:http_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1280895900.035:67): avc:  denied  { name_connect } for  pid=1653 comm="cobblerd" dest=443 scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:object_r:http_port_t:s0 tclass=tcp_socket
Comment 3 Miroslav Grepl 2010-08-04 03:58:52 EDT
We have these rules in Rawhide. I will add it to F13.
Comment 4 Miroslav Grepl 2010-08-04 10:19:48 EDT
Fixed in selinux-policy-3.7.19-43.fc13.noarch.
Comment 5 Bug Zapper 2011-06-01 08:16:31 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.